Dark Reader site reports Basilisk 2019.06.08 as Firefox v52.9

Board for discussions around the Basilisk web browser.

Moderator: satrow

Locked
User avatar
griss
Newbie
Newbie
Posts: 4
Joined: 2018-12-25, 11:42

Dark Reader site reports Basilisk 2019.06.08 as Firefox v52.9

Post by griss » 2019-06-18, 17:29

I have installed Basilisk 2019.06.08 on my Windows 7 desktop computer. Today, I visited a webpage, https://darkreader.org, wishing to install an add-on named Dark Reader v4.7.12 by Aliaksandr Shutau. But I could not. There appeared a message saying, "this add-on requires a newer version of Firefox (at least version 54.0). You are using Firefox 52.9". And consequently the link to the add-on installation was greyed out and failed to trigger a download.

However, I remember having read from some informational material that current versions of Basilisk are equivalent to, at least, Firefox v55.0, and so it should be updated enough to proceed to installation. I would be grateful if you could please instruct me as to how I can resolve this issue. Thank you.

User avatar
Moonraker
Board Warrior
Board Warrior
Posts: 1249
Joined: 2015-09-30, 23:02
Location: uk.

Re: Dark Reader site reports Basilisk 2019.06.08 as Firefox v52.9

Post by Moonraker » 2019-06-18, 17:44

Have you tried an older version of the extension.Changing user agent may help too.
Xenial puppy linux 32-bit.
Tahrpup 6.0.5.32 bit.
Pale moon 28.8.1.

Nightbird
Fanatic
Fanatic
Posts: 248
Joined: 2016-07-18, 21:12

Re: Dark Reader site reports Basilisk 2019.06.08 as Firefox v52.9

Post by Nightbird » 2019-06-18, 19:46

Dark Reader v4.7.12 by Aliaksandr Shutau is a web extension => the capability to run a webextension was removed from Basilisk.
Diversity is key.

User avatar
griss
Newbie
Newbie
Posts: 4
Joined: 2018-12-25, 11:42

Re: Dark Reader site reports Basilisk 2019.06.08 as Firefox v52.9

Post by griss » 2019-06-19, 17:13

I did away with the Dark Reader add-on, and tried installing Advanced Night Mode, a Dark Reader add-on fork recommended in a post of this forum, from http://addons.palemoon.org/addon/advanced-night-mode. But my attempt was unsuccessful, either. After I clicked to install the add-on, a message popped up saying that "Advanced Night Mode could not be installed because it is not compatible with Basilisk 52.9.2019.06.08."

User avatar
New Tobin Paradigm
Off-Topic Sheriff
Off-Topic Sheriff
Posts: 6676
Joined: 2012-10-09, 19:37
Location: Sector 001

Re: Dark Reader site reports Basilisk 2019.06.08 as Firefox v52.9

Post by New Tobin Paradigm » 2019-06-19, 18:00

Why are you trying to install extensions from the Pale Moon Add-ons Site on Basilisk? Basilisk has its own Add-ons Site.

If the developer of that extension wants to support Basilisk (in addition to Pale Moon) they can release an update targeting it and Phoebus will automatically show the extension on the Basilisk Add-ons Site.

Why not ask them?
Image
The Enrichment Center reminds you that the Weighted Companion Cube cannot speak.
In the event that the weighted companion cube does speak, the Enrichment Center urges you to disregard its advice.

https://binaryoutcast.com/ | http://thereisonlyxul.org/ | Freenode #binaryoutcast

User avatar
griss
Newbie
Newbie
Posts: 4
Joined: 2018-12-25, 11:42

Re: Dark Reader site reports Basilisk 2019.06.08 as Firefox v52.9

Post by griss » 2019-06-19, 18:08

I apologise for an inconvenience I have caused to this post. I will be looking specifically for a Basilisk add-on site. Thank you.

pintorama
Apollo supporter
Apollo supporter
Posts: 34
Joined: 2018-01-20, 23:46

Re: Dark Reader site reports Basilisk 2019.06.08 as Firefox v52.9

Post by pintorama » 2019-06-20, 03:58

No reason to apologize. I do not think you will find your ad-on in the Basilisk ad-on site. More important, you will not find it in Satrow's classic ad-ons Archive (CAA): https://github.com/JustOff/ca-archive/releases, ca-archive-2.0.1.xpi . This is a huge collection of Firefox 52.9, and before, ad-ons. Many times, a working ad-on can be found here for Basilisk, although sometimes you may have to go back in time and not use the most recent ad-on contained in the CAA. When attempting to find an ad-on that works in CAA it is always wise to backup your current profile first.

User avatar
New Tobin Paradigm
Off-Topic Sheriff
Off-Topic Sheriff
Posts: 6676
Joined: 2012-10-09, 19:37
Location: Sector 001

Re: Dark Reader site reports Basilisk 2019.06.08 as Firefox v52.9

Post by New Tobin Paradigm » 2019-06-20, 05:10

Satrow != JustOff
Image
The Enrichment Center reminds you that the Weighted Companion Cube cannot speak.
In the event that the weighted companion cube does speak, the Enrichment Center urges you to disregard its advice.

https://binaryoutcast.com/ | http://thereisonlyxul.org/ | Freenode #binaryoutcast

Locked